NX Open C++ Reference Guide
|
Represents a @link SketchPasteBuilder SketchPasteBuilder@endlink <br> To create a new instance of this class, use @link SketchCollection::CreateSketchPasteBuilder SketchCollection::CreateSketchPasteBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Point3d | InitialPasteLocation () |
Returns the initial paste location, this is mainly used to define default paste location of sketch objects Created in NX7.5.0. | |
NXOpen::Features::MoveObjectBuilder * | MoveObject () |
Returns the move object Created in NX7.5.0. | |
void | ResetInitialPasteLocation () |
Reset the initial paste location, after this previously set initial paste location will not be used Created in NX7.5.0. | |
void | SetInitialPasteLocation (const NXOpen::Point3d &dropLocation) |
Sets the initial paste location, this is mainly used to define default paste location of sketch objects Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link SketchPasteBuilder SketchPasteBuilder@endlink <br> To create a new instance of this class, use @link SketchCollection::CreateSketchPasteBuilder SketchCollection::CreateSketchPasteBuilder @endlink <br>
Default values.
Property | Value |
---|---|
MoveObject.Associative |
false |
MoveObject.CreateTraceLines |
false |
MoveObject.Divisions |
1 |
MoveObject.LayerOption |
Original |
MoveObject.MoveObjectResult |
MoveOriginal |
MoveObject.MoveParents |
true |
MoveObject.NumberOfCopies |
1 |
MoveObject.TransformMotion.DeltaEnum |
ReferenceWcsWorkPart |
MoveObject.TransformMotion.DeltaXc.Value |
0.0 |
MoveObject.TransformMotion.DeltaYc.Value |
0.0 |
MoveObject.TransformMotion.DeltaZc.Value |
0.0 |
MoveObject.TransformMotion.Option |
Dynamic |
Created in NX7.5.0.
NXOpen::Point3d NXOpen::SketchPasteBuilder::InitialPasteLocation | ( | ) |
Returns the initial paste location, this is mainly used to define default paste location of sketch objects
Created in NX7.5.0.
License requirements : None
NXOpen::Features::MoveObjectBuilder* NXOpen::SketchPasteBuilder::MoveObject | ( | ) |
Returns the move object
Created in NX7.5.0.
License requirements : None
void NXOpen::SketchPasteBuilder::ResetInitialPasteLocation | ( | ) |
Reset the initial paste location, after this previously set initial paste location will not be used
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::SketchPasteBuilder::SetInitialPasteLocation | ( | const NXOpen::Point3d & | dropLocation | ) |
Sets the initial paste location, this is mainly used to define default paste location of sketch objects
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
dropLocation | Drop location coordinates in absolute |